latex=xelatex
pdflatex=xelatex
bibtex=bibtex 

chapters=chapters/introduction.tex \
		   chapters/quantum_computing.tex \
		   chapters/stabilizer.tex \
		   chapters/implementation.tex \
		   chapters/conclusion.tex

cover=cover.png

all: main.pdf

main.pdf: main.tex main.bib $(cover) $(chapters)
	$(latex) main
	$(bibtex) main
	$(latex) main
	$(pdflatex) main

	
clean:
	-rm main.aux
	-rm main.blg
	-rm main.dvi
	-rm main.log
	-rm main.out
	-rm main.pdf
	-rm main.toc
	-rm main.bbl
